Xalan-Java 2.7.1: Interface PrefixResolver

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.utils
Interface PrefixResolver

All Known Implementing Classes:
  ElemTemplateElement, PrefixResolverDefault, StylesheetHandler, JAXPPrefixResolver

public interface PrefixResolver

The class that implements this interface can resolve prefixes to namespaces. Examples would include resolving the meaning of a prefix at a particular point in a document, or mapping the prefixes used in an XPath expression.

Usage:
  **For advanced use only**

Method Summary
`java.lang.String` | `getBaseIdentifier()` Return the base identifier.
`java.lang.String` | `getNamespaceForPrefix(java.lang.String prefix)` Given a namespace, get the corrisponding prefix.
`java.lang.String` | `getNamespaceForPrefix(java.lang.String prefix, Node context)` Given a namespace, get the corresponding prefix, based on the context node.
`boolean` | `handlesNullPrefixes()`

Method Detail

### getNamespaceForPrefix

    public java.lang.String getNamespaceForPrefix(java.lang.String prefix)

  Given a namespace, get the corrisponding prefix. This assumes that the PrefixResolver holds its own namespace context, or is a namespace context itself.
  Parameters:
    `prefix` - The prefix to look up, which may be an empty string ("") for the default Namespace.
  Returns:
    The associated Namespace URI, or null if the prefix is undeclared in this context.

### getNamespaceForPrefix

    public java.lang.String getNamespaceForPrefix(java.lang.String prefix,
                                                  Node context)

  Given a namespace, get the corresponding prefix, based on the context node.
  Parameters:
    `prefix` - The prefix to look up, which may be an empty string ("") for the default Namespace.
    `context` - The node context from which to look up the URI.
  Returns:
    The associated Namespace URI as a string, or null if the prefix is undeclared in this context.

### getBaseIdentifier

    public java.lang.String getBaseIdentifier()

  Return the base identifier.
  Returns:
    The base identifier from where relative URIs should be absolutized, or null if the base ID is unknown.

    CAVEAT: Note that the base URI in an XML document may vary with where you are in the document, if part of the doc's contents were brought in via an external entity reference or if mechanisms such as xml:base have been used. Unless this PrefixResolver is bound to a specific portion of the document, or has been kept up to date via some other mechanism, it may not accurately reflect that context information.

### handlesNullPrefixes

    public boolean handlesNullPrefixes()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.